Subject: =?utf-8?Q?Re:_bug#68930:_30.0.50; _Emacs_conflates_C-=CE=A9_and_C-=CF=89?=

From: Alexander Prähauser <[email-masked]>
Date: Tue, 06 Feb 2024 00:07:36 +0000

Alexander Prähauser <[email-masked]> writes:

> "Eli Zaretskii" <[email-masked]> writes:
>
>> [Please use Reply All to reply, to keep the bug tracker CC'ed.]
>>
>>> Date: Mon, 05 Feb 2024 16:58:02 +0000
>>> From: Alexander Prähauser <[email-masked]>
>>>
>>> "Eli Zaretskii" <[email-masked]> writes:
>>>
>>> >> Date: Sun, 04 Feb 2024 20:49:26 +0000
>>> >> From:  Alexander Prähauser via "Bug reports for GNU Emacs,
>>> >>  the Swiss army knife of text editors" <[email-masked]>
>>> >>
>>> >>
>>> >> Emacs confuses C-ω and C-Ω. This seems to happen regardless of the init file.
>>> >> For instance, if started with a basic init containing only the lines
>>> >>
>>> >> (define-key global-map (kbd "C-ω") 'kill-region)
>>> >> (define-key global-map (kbd "C-Ω") 'copy-to-register)
>>> >>
>>> >> the commands are recalled by exactly the reversed key combinations, C-Ω
>>> >> kills and C-ω copies to register. Both Ω and ω are here in the xkb-map
>>> >> of the keyboard layout as unicode characters, U03A9 and U03C9
>>> >> respectively. I tried using C-Ω and C-ω as key combinations for commands
>>> >> in the Firefox-plugin Tridactyl to see if it confuses them as well, but
>>> >> it seems to be able to distinguish them.
>>> >
>>> > What does "C-h l" say about what keys Emacs received?
>>>
>>> It also lists them the wrong way around, so if I type C-ω it lists C-Ω
>>> and vice versa.
>>
>> So are you sure nothing is wrong with your keyboard setup?
>>
>> Adding Po Lu in case he has some ideas or comments.
>
>
> Yes, as I said, I tried the same shortcuts with Tridactyl to see if they
> would work there, and they did. I've now changed the xkb map to type ω
> and Ω through greek_omega and greek_OMEGA and Emacs keeps typing them
> normally but switching them up in C-ω and C-Ω keybinds. 

I just found that the same thing happens for   C-δ and C-Δ, where both are
in my keyboard layout file as Unicode letters, U03B4 and U0394 respectively.